#include <iostream>
#include <cmath>

using namespace std;


int main() {
    long long v;
    cin >> v;
    long long pom = v;
    int brcif = 0, rez = 0;
    while(pom > 0){
pom = pom / 10;
    brcif++ ;
}
int k = brcif - 1;
while(v > 0)
{
if(v >= 5 * pow(10, k)){
v = v - 5 * pow(10, k);
rez++ ;
}
while(v >= 2 * pow(10, k)){
v = v - 2 * pow(10, k);
rez++ ;
}
if(v >= pow(10, k)){
v = v - pow(10, k);
rez++ ;
}
k--;
}
cout<<rez;
    return 0;
}